Skip to main content
GET
/
users
/
{id}
Get a user
curl --request GET \
  --url https://api.steuerboard.com/v1/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-id: <x-client-id>'
import requests

url = "https://api.steuerboard.com/v1/users/{id}"

headers = {
    "x-client-id": "<x-client-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-client-id': '<x-client-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.steuerboard.com/v1/users/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "cmf41ajzv003706un4i99q1a0",
  "createdAt": "2024-05-14T08:30:00Z",
  "email": "frida@example.com",
  "firstName": "Frida",
  "lastName": "Meyer",
  "roles": [
    "client_admin"
  ]
}
{
  "type": "bad_request",
  "message": "<string>"
}
{
  "status_code": 401,
  "type": "auth_error",
  "code": "unauthorized",
  "message": "<string>"
}
{
  "type": "auth_error",
  "message": "<string>"
}
{
  "status_code": 404,
  "type": "not_found",
  "code": "not_found",
  "message": "<string>"
}
{
  "success": false,
  "error": {
    "name": "ZodError",
    "issues": [
      {
        "code": "invalid_type",
        "path": [
          "id"
        ],
        "message": "Required"
      }
    ]
  }
}
{
  "status_code": 429,
  "type": "rate_limit",
  "code": "too_many_requests",
  "message": "<string>"
}
This response has no body data.

Authorizations

Authorization
string
header
required

Bearer token authentication

Headers

x-client-id
string<cuid>
required

The ID of the client

Example:

"cmf41ajzv003706un4i99q19z"

Path Parameters

id
string<cuid>
required

The ID of the item

Example:

"cmf41ajzv003706un4i99q19z"

Response

User

id
string<cuid>
required

Identifier of the client user.

Example:

"cmf41ajzv003706un4i99q1a0"

createdAt
string<date-time>
required

The date and time when the client user record was created. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).

Example:

"2024-05-14T08:30:00Z"

email
string<email>
required

Email address of the client user.

Example:

"frida@example.com"

firstName
string | null
required

First name of the client user, if provided.

Example:

"Frida"

lastName
string | null
required

Last name of the client user, if provided.

Example:

"Meyer"

roles
string[]
required

List of role names assigned to the user.

Role name assigned to the user.